PGSTAT(1)

NAME
pgstat - Gather statistical informations from PostgreSQL the vmstat way

DESCRIPTION
pgstat gathers statistics from a PostgreSQL database.

  Usage:

    pgstat [OPTIONS] [delay [count]]

  General options:

-f FILTER
    include only this object (only works for database, table, tableio,

index, function, statement statistics,
    replication slots, and slru)

-H  display human-readable values

-n  do not redisplay header

-s STAT
    stats to collect

-S SUBSTAT
    part of stats to display (only works for database and statement)

-v  verbose

-?|--help
    show this help, then exit

-V|--version
    output version information, then exit

  Connection options:

-h HOSTNAME
    database server host or socket directory

-p PORT
    database server port number

-U USER
    connect as specified database user

-d DBNAME
    database to connect to

The default stat is pg_stat_bgwriter, but you can change it with the -s command line option, and one of its value (STAT):

* archiver
    for pg_stat_archiver (only for 9.4+)

* bgwriter
    for pg_stat_bgwriter

* buffercache
    for pg_buffercache (needs the extension)

* checkpointer
    for pg_stat_bgwriter (<17) or for pg_stat_checkpointer (17+)

* connection
    (only for 9.2+)

* database
    for pg_stat_database

* table
    for pg_stat_all_tables

* tableio
    for pg_statio_all_tables

* index
    for pg_stat_all_indexes

* function
    for pg_stat_user_function

* statement
    for pg_stat_statements (needs the extension)

* slru
    for pg_stat_slru (only for 13+)

* xlog
    for xlog writes (only for 9.2+)

* deadlive
    for dead/live tuples stats

* repslots
    for replication slots

* tempfile
    for temporary file usage

* waitevent
    for wait events usage

* wal
    for pg_stat_wal (only for 14+)

* progress_analyze
    for analyze progress monitoring (only for 13+)

* progress_basebackup
    for base backup progress monitoring (only for 13+)

* progress_cluster
    for cluster progress monitoring (only for 12+)

* progress_copy
    for copy progress monitoring (only for 14+)

* progress_createindex for create index progress monitoring (only
    for 12+)

* progress_vacuum
    for vacuum progress monitoring (only for 9.6+)

* pbpools
    for pgBouncer pools statistics

* pbstats
    for pgBouncer statistics

REPORTING BUGS
Report bugs to <guillaume@lelarge.info>.